> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/v1/api/api-keys/management-api-keys-1.md).

# BI API keys

To get data about the rule solver activity for business intelligence, you need to have a BI API Key.

## Getting the BI API key

You can find all your BI API Keys on the API Keys page. On this page, you can instantly copy, delete, or create a new BI API Key.

### Go to the API Keys page

To create a BI API Key, sign in and click the API Keys item in the sidebar menu.

![](https://content.gitbook.com/content/dv9UprVu3KjO5la255ws/blobs/6OzH7ixLWmwynj5u0r9w/apikeys.PNG)

### Create a new BI API Key

1. Go to the API Keys page
2. In the BI API Keys section, click the Add BI API Key button.

{% hint style="danger" %}
Please note that anyone with access to a Business Intelligence API Key can also inherently access your Solver keys, as Audit Logs keep record of the Solver key used for the Solver invocation.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decisionrules.io/doc/v1/api/api-keys/management-api-keys-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
